<table *ngIf="tableMode else create" class="table table-sm table-striped">
  <tbody>
    <tr>
      <th>Id</th>
      <th>RoleName</th>
    </tr>
    <tr *ngFor="let r of roles">
      <ng-template [ngIf]="role?.id != r.id" [ngIfElse]="edit">
        <td>{{r.id}}</td>
      <td>{{r.roleName}}</td>
      <td>
        <button class="btn btn-sm btn-primary" (click)="selectRole(r.id)"
                [disabled]="currentUser.checkIfAdmin">
          Edit
        </button>
        <button class="btn btn-sm btn-danger ml-1" (click)="deleteRole(r.id)"
                [disabled]="currentUser.checkIfAdmin">
          Delete
        </button>
      </td>
      </ng-template>
    </tr>
  </tbody>
  <tfoot>
    <tr>
      <td colspan="6" class="text-center">
        <button class="btn btn-primary" (click)="clearRole(); tableMode=false"
                [disabled]="currentUser.checkIfAdmin">
          Create
        </button>
      </td>
    </tr>
  </tfoot>
</table>

<ng-template #edit>
  <td colspan="6" class="bg-light border p-3">
    <div class="form-group">
      <label>Id</label>
      <input class="form-control" [(ngModel)]="role.id" disabled />
    </div>
    <div class="form-group">
      <label>RoleName</label>
      <input class="form-control" [(ngModel)]="role.roleName" />
    </div>
    <div class="text-center">
      <button class="btn btn-sm btn-primary" (click)="updateRole(role.id)">
        Save
      </button>
      <button class="btn btn-sm btn-info ml-1" (click)="clearRole()">
        Cancel
      </button>
    </div>
  </td>
</ng-template>

<ng-template #create>
  <div class="m-2">
    <div class="form-group">
      <label>Id</label>
      <input class="form-control" [(ngModel)]="role.id" disabled />
    </div>
    <div class="form-group">
      <label>RoleName</label>
      <input class="form-control" [(ngModel)]="role.roleName" />
    </div>
    <div class="text-center">
      <button class="btn btn-sm btn-primary" (click)="createRole(role.id)">
        Save
      </button>
      <button class="btn btn-sm btn-info ml-1" (click)="clearRole()">
        Cancel
      </button>
    </div>
  </div>
</ng-template>
